import ApiClient from '../cpapi/apiClient';
export default function deleteFewHostsAsynchronously(conf) {
    let apiClient = new ApiClient({ server: conf.server, fingerprint: conf.fingerprint });
    return apiClient.login({ username: conf.user, password: conf.password })
        .then(async () => {
        let hostPromises = [];
        for (let i of Array(30).keys()) {
            hostPromises[i] = apiClient.apiCall('delete-host', { name: 'host' + i });
        }
        for (let hostPromise of hostPromises) {
            await hostPromise;
        }
    }).then(() => {
        return apiClient.publish();
    }).then(() => {
        return apiClient.logout();
    });
}
// deleteFewHostsAsynchronously({server: '172.23.78.75', user: '****', password: '****'});
//# sourceMappingURL=deleteFewHostsAsynchronously.js.map