import { AbstractCategoryLogger, LogLevel } from 'typescript-logging';
import * as fs from 'fs';
export default class CustomLogger extends AbstractCategoryLogger {
    constructor(category, runtimeSettings) {
        super(category, runtimeSettings);
    }
    doLog(msg) {
        let message = LogLevel[msg.level].toUpperCase() + ' ';
        if (msg.categories.length > 0) {
            message += '[' + msg.categories[0].name + '] ';
        }
        message += msg.date.toString() + '\n';
        message += msg.messageAsString + '\n';
        fs.promises.writeFile('./cp-mgmt-api-typescript-sdk.log', message, { flag: 'a' });
    }
}
//# sourceMappingURL=customLogger.js.map